指定尺寸线箭头、引线和引线箭头以及钩线的大小。 支持的平台:仅窗口 签名工 务 局: object.ArrowheadSize 属性值只读:不 类型:双 箭头的大小必须指定为正实数 >= 0.0。 言论此属性的初始值为 0.1800。 箭头大小的倍数确定尺寸线和文本是否应适合延长线之间。此属性还用于缩放箭头块(如果由 DIMBLK 设置)。当 DIMTSZ 不为零时,此属性不起作用。 注意:此属性覆盖给定维度的 DIMASZ 系统变量的值。
例子工 务 局: Sub Example_ArrowHeadSize() ' This example creates a Dim3PointAngular object in model space ' and then alters the visible appearance (size) of its arrowheads ' using the ArrowHeadSize property Dim DimPointAngularObj As AcadDim3PointAngular Dim AngleVertex(0 To 2) As Double Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double Dim TextPoint(0 To 2) As Double ' Define the new Dim3PointAngular object AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0 FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0 SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0 TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0 ' Create the new Dim3PointAngular object in model space Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint) ThisDrawing.Application.ZoomAll ' Read and display current arrowhead size MsgBox "The arrowhead size for this object is currently set to: " & DimPointAngularObj.ArrowheadSize ' Alter the arrowhead size property for this object DimPointAngularObj.ArrowheadSize = 0.5 ThisDrawing.Regen acAllViewports ' Read and display new arrowhead size setting MsgBox "The arrowhead size for this object is now set to: " & DimPointAngularObj.ArrowheadSize End Sub Visual LISP: (vl-load-com) (defun c:Example_ArrowHeadSize() ;; This example creates a Dim3PointAngular object in model space ;; and then alters the visible appearance (size) of its arrowheads ;; using the ArrowHeadSize property (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the new Dim3PointAngular object (setq AngleVertex (vlax-3d-point 0 0 0) FirstPoint (vlax-3d-point 2 2 0) SecondPoint (vlax-3d-point 1 4 0) TextPoint (vlax-3d-point 6 6 0)) ;; Create the new Dim3PointAngular object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint)) (vla-ZoomAll acadObj) ;; Read and display current arrowhead size (alert (strcat "The arrowhead size for this object is currently set to: " (rtos (vla-get-ArrowheadSize DimPointAngularObj) 2))) ;; Alter the arrowhead size property for this object (vla-put-ArrowheadSize DimPointAngularObj 0.5) (vla-Regen doc acAllViewports) ;; Read and display new arrowhead size setting (alert (strcat "The arrowhead size for this object is now set to: " (rtos (vla-get-ArrowheadSize DimPointAngularObj) 2))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:41
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.